# CREDIT David Heinemeier Hansson

module Kernel

  def instance_values
    instance_variables.inject({}) do |values, name|
    values[name[1..-1]] = instance_variable_get(name)
      values
    end
  end

end
